API Keys
API keys offer an alternate method of authentication to the Meltano Cloud API using a client ID and secret.
Objects
API Key
| Path | JSON Type | Format | Description |
|---|---|---|---|
id | string | Version 4 UUID | The API key ID |
created | string | ISO 8601 timestamp | The instant when the API key was created |
lastModified | string | ISO 8601 timestamp | The instant when the API key was last modified |
name | string | The API key name | |
clientId | string | The API key client ID | |
profileId | string | The API key owner profile ID |
{
"id" : "dcf70226-f2ad-4c77-9e0a-59f8198637fa",
"created" : "2026-11-06T11:15:25.089179",
"lastModified" : "2026-11-06T11:15:25.089182",
"name" : "SIT-generated api key (2026-11-06T11:15:25.016855081)",
"clientId" : "TQgNNS3Mf0QtrChAh1YTk4F2SGI9hHWR",
"profileId" : "auth0|6a21dc7aa1db2e036a222942",
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/apikeys/dcf70226-f2ad-4c77-9e0a-59f8198637fa"
},
"update apikey" : {
"href" : "https://app.meltano.com/api/apikeys/dcf70226-f2ad-4c77-9e0a-59f8198637fa"
},
"delete apikey" : {
"href" : "https://app.meltano.com/api/apikeys/dcf70226-f2ad-4c77-9e0a-59f8198637fa"
},
"profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
}
}
}
Requests
View all API keys
GET /api/apikeys
Returns all API keys owned by the authenticated user profile.
Prerequisites
- The authenticated user must own a Meltano Cloud account
- The API key
{apikey-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/apikeys' -i -X GET
import requests
url = "https://app.meltano.com:443/api/apikeys"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
API key collection with HAL links.
{
"_embedded" : {
"apikeys" : [ {
"id" : "dcf70226-f2ad-4c77-9e0a-59f8198637fa",
"created" : "2026-11-06T11:15:25.089179",
"lastModified" : "2026-11-06T11:15:25.089182",
"name" : "SIT-generated api key (2026-11-06T11:15:25.016855081)",
"clientId" : "TQgNNS3Mf0QtrChAh1YTk4F2SGI9hHWR",
"profileId" : "auth0|6a21dc7aa1db2e036a222942",
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/apikeys/dcf70226-f2ad-4c77-9e0a-59f8198637fa"
},
"update apikey" : {
"href" : "https://app.meltano.com/api/apikeys/dcf70226-f2ad-4c77-9e0a-59f8198637fa"
},
"delete apikey" : {
"href" : "https://app.meltano.com/api/apikeys/dcf70226-f2ad-4c77-9e0a-59f8198637fa"
},
"profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/apikeys?page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 1,
"totalPages" : 1,
"number" : 0
}
}
View an API key
GET /api/apikeys/{apikey-id}
Returns the API key {apikey-id}.
Prerequisites
- The authenticated user must own a Meltano Cloud account
- The API key
{apikey-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/apikeys/dcf70226-f2ad-4c77-9e0a-59f8198637fa' -i -X GET
import requests
url = "https://app.meltano.com:443/api/apikeys/dcf70226-f2ad-4c77-9e0a-59f8198637fa"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
API key with HAL links.
{
"id" : "dcf70226-f2ad-4c77-9e0a-59f8198637fa",
"created" : "2026-11-06T11:15:25.089179",
"lastModified" : "2026-11-06T11:15:25.089182",
"name" : "SIT-generated api key (2026-11-06T11:15:25.016855081)",
"clientId" : "TQgNNS3Mf0QtrChAh1YTk4F2SGI9hHWR",
"profileId" : "auth0|6a21dc7aa1db2e036a222942",
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/apikeys/dcf70226-f2ad-4c77-9e0a-59f8198637fa"
},
"update apikey" : {
"href" : "https://app.meltano.com/api/apikeys/dcf70226-f2ad-4c77-9e0a-59f8198637fa"
},
"delete apikey" : {
"href" : "https://app.meltano.com/api/apikeys/dcf70226-f2ad-4c77-9e0a-59f8198637fa"
},
"profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
}
}
}
Initialise an API key
POST /api/apikeys
Initialises a new API key.
Prerequisites
- The authenticated user must own a Meltano Cloud account
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/apikeys' -i -X POST \
-H 'Accept: application/json, application/javascript, text/javascript, text/json' \
-H 'Content-Type: application/json'
import requests
url = "https://app.meltano.com:443/api/apikeys"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("POST", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
API key with HAL links.
{
"id" : "2afc7763-f8ce-4573-aa3d-0aab00044bad",
"created" : "2026-11-09T22:53:57.917281312",
"lastModified" : "2026-11-09T22:53:57.917282643",
"profileId" : "auth0|6a21dc7aa1db2e036a222942",
"_links" : {
"create apikey" : {
"href" : "https://app.meltano.com/api/apikeys/2afc7763-f8ce-4573-aa3d-0aab00044bad"
}
}
}
Create an API key
PUT /api/apikeys/{apikey-id}
Creates the API key {apikey-id}.
Prerequisites
- The authenticated user must own a Meltano Cloud account
Body
API key resource.
{
"name" : "SIT-generated api key (2026-11-09T22:53:57.943020242)"
}
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/apikeys/2afc7763-f8ce-4573-aa3d-0aab00044bad' -i -X PUT \
-H 'Accept: application/json, application/javascript, text/javascript, text/json' \
-H 'Content-Type: application/json' \
-d '{
"name" : "SIT-generated api key (2026-11-09T22:53:57.943020242)"
}'
import requests
url = "https://app.meltano.com:443/api/apikeys/2afc7763-f8ce-4573-aa3d-0aab00044bad"
data = {
"name" : "SIT-generated api key (2026-11-09T22:53:57.943020242)"
}
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("PUT", url, headers=headers, data=data)
print(response.text.encode('utf8'))
Response
201 Created
API key with HAL links.
{
"timestamp" : "2026-11-09T22:53:58.141+00:00",
"status" : 500,
"error" : "Internal Server Error",
"message" : "Request failed with status code 403: You reached the limit of entities of this type for this tenant.",
"path" : "/api/apikeys/2afc7763-f8ce-4573-aa3d-0aab00044bad"
}
Update an API key
PUT /api/apikeys/{apikey-id}
Updates the API key {apikey-id}.
Prerequisites
- The authenticated user must own a Meltano Cloud account
Body
API key resource.
{
"name" : "SIT-generated api key (2026-11-06T11:15:25.016855081) (updated)"
}
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/apikeys/dcf70226-f2ad-4c77-9e0a-59f8198637fa' -i -X PUT \
-H 'Content-Type: application/json' \
-d '{
"name" : "SIT-generated api key (2026-11-06T11:15:25.016855081) (updated)"
}'
import requests
url = "https://app.meltano.com:443/api/apikeys/dcf70226-f2ad-4c77-9e0a-59f8198637fa"
data = {
"name" : "SIT-generated api key (2026-11-06T11:15:25.016855081) (updated)"
}
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("PUT", url, headers=headers, data=data)
print(response.text.encode('utf8'))
Response
200 OK
API key with HAL links.
{
"id" : "dcf70226-f2ad-4c77-9e0a-59f8198637fa",
"created" : "2026-11-06T11:15:25.089179",
"lastModified" : "2026-11-06T11:15:26.476631218",
"name" : "SIT-generated api key (2026-11-06T11:15:25.016855081) (updated)",
"clientId" : "TQgNNS3Mf0QtrChAh1YTk4F2SGI9hHWR",
"profileId" : "auth0|6a21dc7aa1db2e036a222942",
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/apikeys/dcf70226-f2ad-4c77-9e0a-59f8198637fa"
},
"update apikey" : {
"href" : "https://app.meltano.com/api/apikeys/dcf70226-f2ad-4c77-9e0a-59f8198637fa"
},
"delete apikey" : {
"href" : "https://app.meltano.com/api/apikeys/dcf70226-f2ad-4c77-9e0a-59f8198637fa"
},
"profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
}
}
}
Delete an API key
DELETE /api/apikeys/{apikey-id}
Deletes the API key {apikey-id}.
Prerequisites
- The authenticated user must own a Meltano Cloud account
- The API key
{apikey-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/apikeys/dcf70226-f2ad-4c77-9e0a-59f8198637fa' -i -X DELETE
import requests
url = "https://app.meltano.com:443/api/apikeys/dcf70226-f2ad-4c77-9e0a-59f8198637fa"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("DELETE", url, headers=headers)
print(response.text.encode('utf8'))
Response
204 No Content
No response body provided.